oci_free_descriptor
oci_get_implicit_resultset
OCI8 Functions
PHP Manual

# oci_free_statement

Frees all resources associated with statement or cursor

### Description

bool oci_free_statement ( resource `$statement` )

Frees resources associated with Oracle's cursor or statement, which was received from as a result of oci_parse or obtained from Oracle.

### Parameters

`statement`

  A valid OCI statement identifier.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.